commit:     c8ea226cf6fdb404de58d938a2e8456633ca6b4e
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 14 07:02:37 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Thu Mar 14 07:03:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8ea226c

x11-terms/gnome-terminal: bump to 3.30.2

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 x11-terms/gnome-terminal/Manifest                  |  2 +
 .../gnome-terminal/gnome-terminal-3.30.2.ebuild    | 85 ++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/x11-terms/gnome-terminal/Manifest 
b/x11-terms/gnome-terminal/Manifest
index dccf392cfb8..a2e887316b8 100644
--- a/x11-terms/gnome-terminal/Manifest
+++ b/x11-terms/gnome-terminal/Manifest
@@ -3,4 +3,6 @@ DIST 
gnome-terminal-3.28.1-notify-open-title-transparency.patch.xz 33036 BLAKE2B
 DIST gnome-terminal-3.28.2.tar.xz 2094920 BLAKE2B 
02f6e9b7273247169966e3125931e452ee4ac4669c53c79c93f49073511ef25a3f21df60510df0e7aefffad5e3ea14acdd1338a1c7ce934439863728e2d709ec
 SHA512 
a20fe13fd2e533a90236410ce6ddd11e4da9da13f2d8952baa3cbf07379dbe253cf897b596421852084bbfc000264de11fb605c73909af8188baa93e46ddae8f
 DIST gnome-terminal-3.30.1-notify-open-title-transparency.patch.xz 32204 
BLAKE2B 
d32cabea06df4290c592814a60443c3fb627ae7e837560bffdd0f803fd970b2962d7fc1d57a53f9bc62bd0ceb23ccade623e0d7099cb2610e599d9c2243c3ec2
 SHA512 
14e6e9baf1cd3fdd34ba320502de0ba99b0259598947562b5057472b099e85bcb6c60be8e5f58296c222deb85c35ddf5feefd1dbfac83710050e038f6e1b3a28
 DIST gnome-terminal-3.30.1.tar.xz 2099736 BLAKE2B 
a3100c7faf10f5d8ed3f16ae3ee28a7850e181dcf97ed52c0509143aa88114583466ddd3dfa1ea61372674cd6f16f9490c5ba9fafa4f5ce56eaeebe33ce259d5
 SHA512 
486fe7a9841114d49428208fdea195f1ce6a27ecfc66e2c77632385a7b106a28d3e6a0f1a198bd08f3e2a89d201ac49dafa376c002eab6470ff9d64cf30194ec
+DIST gnome-terminal-3.30.2-notify-open-title-transparency.patch.xz 31748 
BLAKE2B 
6a25547fcdd387ea90c3ba13e53f31a118cc01c50c72f1f597162452ea65509e2fc8adaa2f6487859d8a53e828173d77a6f952d172f5a685e2b51864a82cce7f
 SHA512 
51f32879c93a5ca489db9a604b28585787c9ec1a444c5e8c76bf26edeaa68e35fe9f76f94f32e99716a0d01643ac859475be13232c62675c703b5503781cb8d0
+DIST gnome-terminal-3.30.2.tar.xz 2099952 BLAKE2B 
e66c2fcb3ed9940435cf4e4940f088f507b836808087ce6da21ac5fabf906bed3e6197a892790819cb5d3fe36841cf5bba1d58fd552bf41544e240c7e4a5183b
 SHA512 
acbc854271b8dd8c60e04277228d5e0d2dbfaff42bc9c002d4bc42bb97052e2e3ab03da130c31c3cc1452644adfafcddd5103a6d79a10a659b4fe20d6063c61e
 DIST gnome-terminal-notify-open-title-transparency.patch.xz 37448 BLAKE2B 
159bbcf6ca387af8ae2f05c23b48afcdf11351025420ecfd10d1b8a1dd9c2c8016d1c89c6fca20dde3bf8ffe3a6091232a989cfd520fa6761f65eec29b569d84
 SHA512 
9af0d56df105a5bdb81b2609794669557a7f442f71b240ee10a6411fab20ad74c14489dbb9a536e208515053ea17776b3a15afb3b949a75a66f8c2ab3dbbff96

diff --git a/x11-terms/gnome-terminal/gnome-terminal-3.30.2.ebuild 
b/x11-terms/gnome-terminal/gnome-terminal-3.30.2.ebuild
new file mode 100644
index 00000000000..6a0da47b20f
--- /dev/null
+++ b/x11-terms/gnome-terminal/gnome-terminal-3.30.2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 readme.gentoo-r1
+
+DESCRIPTION="The Gnome Terminal"
+HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/";
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="debug +gnome-shell +nautilus vanilla"
+SRC_URI="${SRC_URI} !vanilla? ( 
https://dev.gentoo.org/~leio/distfiles/${P}-notify-open-title-transparency.patch.xz
 )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux"
+
+# FIXME: automagic dependency on gtk+[X], just transitive but needs proper 
control, bug 624960
+RDEPEND="
+       >=dev-libs/glib-2.42:2
+       >=x11-libs/gtk+-3.20:3
+       >=x11-libs/vte-0.54.1:2.91[!vanilla?]
+       >=dev-libs/libpcre2-10
+       >=gnome-base/dconf-0.14
+       >=gnome-base/gsettings-desktop-schemas-0.1.0
+       sys-apps/util-linux
+       gnome-shell? ( gnome-base/gnome-shell )
+       nautilus? ( >=gnome-base/nautilus-3 )
+"
+# itstool required for help/* with non-en LINGUAS, see bug #549358
+# xmllint required for glib-compile-resources, see bug #549304
+DEPEND="${RDEPEND}
+       dev-libs/libxml2:2
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       >=dev-util/intltool-0.50
+       dev-util/itstool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+DOC_CONTENTS="To get previous working directory inherited in new opened tab, or
+       notifications of long-running commands finishing, you will need
+       to add the following line to your ~/.bashrc:\n
+       . /etc/profile.d/vte-2.91.sh"
+
+src_prepare() {
+       if ! use vanilla; then
+               # https://bugzilla.gnome.org/show_bug.cgi?id=695371
+               # Fedora patches:
+               # Restore transparency support (with compositing WMs only)
+               # OSC 777 desktop notification support (notifications on tabs 
for long-running commands completing)
+               # Restore separate menuitems for opening tabs and windows
+               # Restore "Set title" support
+               # 
http://pkgs.fedoraproject.org/cgit/rpms/gnome-terminal.git/plain/gnome-terminal-notify-open-title-transparency.patch
+               # Depends on vte[-vanilla] for OSC 777 patch in VTE
+               eapply "${WORKDIR}"/${P}-notify-open-title-transparency.patch
+       fi
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-static \
+               $(use_enable debug) \
+               $(use_enable gnome-shell search-provider) \
+               $(use_with nautilus nautilus-extension)
+}
+
+src_install() {
+       DOCS="AUTHORS ChangeLog HACKING NEWS"
+       gnome2_src_install
+       if ! use vanilla; then
+               # Separate "New Window/Tab" menu entries by default, instead of 
unified "New Terminal"
+               insinto /usr/share/glib-2.0/schemas
+               newins "${FILESDIR}"/separate-new-tab-window.gschema.override 
org.gnome.Terminal.gschema.override
+       fi
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       readme.gentoo_print_elog
+}

Reply via email to